> For the complete documentation index, see [llms.txt](https://docs.libpixel.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.libpixel.com/api-documentation/libraries.md).

# Libraries

We have official client libraries built for multiple programming languages. All our libraries are open source under the MIT License and available on GitHub.

* [Go](https://github.com/libpixel/libpixel-go)
* [JavaScript](https://github.com/libpixel/libpixel-js)
* [Ruby](https://github.com/libpixel/libpixel-ruby)
* [Crystal](https://github.com/libpixel/libpixel.cr)
* [React](https://github.com/libpixel/react-libpixel)

These libraries contain helper functions that will allow you to start using LibPixel in your projects without having to spend time building simple methods. The libraries contain code for creating URLs and adding custom properties to the images to change the output image. This will help you serve images from LibPixel in your projects, resulting in increased performance and SEO metrics.  &#x20;

For more please visit our [Github page](https://github.com/libpixel).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.libpixel.com/api-documentation/libraries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
